# wayidle

Wayidle waits until the Wayland compositor reports being N seconds idle. If a
command was specified, it will `exec` into that command, otherwise, it will exit
zero.

Wayidle is primarily designed for usage is scripts.

```console
> wayidle --help
Usage: wayidle [-s|--seat=SEAT_NAME] -t|--timeout=SECONDS [COMMAND...]
```

# Requirements

wayidle requires a compositor that supports the `ext-idle-notify-v1` protocol.

# Installation

If available, install via distribution packages, otherwise:

```
$ cargo build --release
# cp target/release/wayidle /usr/local/bin/wayidle
```

# Development

Patches can be sent to my [public inbox].

[public inbox]: mailto:~whynothugo/public-inbox@lists.sr.ht

```sh
git config sendemail.to '~whynothugo/public-inbox@lists.sr.ht'
git config format.subjectPrefix "PATCH wayidle"
git send-email FIRST_COMMIT~..
```

## Licence

This project is licensed under the ISC licence. See LICENCE.md for details.
